List batches
List the batches for the current user
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Headers
X-Client-Name
The name of the project that is making the request.
Query parameters
page_size
The maximum number of batches to return. The service may return fewer than this value. If unspecified, at most 50 batches will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.
page_token
A page token, received from a previous ListBatches call.
Provide this to retrieve the subsequent page.
order_by
Batches can be ordered by creation time or last updated time.
Use created_at for creation time or updated_at for last updated time.
Response
A successful response.
batches
The batches that belong to the authenticated user.
next_page_token
A token, which can be sent as page_token to retrieve the next page.
If this field is omitted, there are no subsequent pages.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error